Bug 88537 - CAN-2003-0211 xinetd leaks memory
Summary: CAN-2003-0211 xinetd leaks memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd
Version: 9
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-10 18:55 UTC by Steve Grubb
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-13 17:14:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:160 normal SHIPPED_LIVE : Updated xinetd packages fix a denial-of-service attack and other bugs 2003-05-13 04:00:00 UTC

Description Steve Grubb 2003-04-10 18:55:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
xinetd leaks 144 bytes of memory for each rejected connection.

Version-Release number of selected component (if applicable):
xinetd-2.3.10-6

How reproducible:
Always

Steps to Reproduce:
Setup chargen with access_times = 5:00-9:00   this is just to make sure the
connection is rejected. Then stop xinetd and run via valgrind:

valgrind --leak-check=yes --leak-resolution=med --num-callers=8 --logfile-fd=9
 /usr/sbin/xinetd -d -pidfile /var/run/xinetd.pid -stayalive  9> out.txt

next, telnet localhost chargen

stop xinetd and open out.txt captured from valgrind.

Actual Results:  ==18939== 144 bytes in 1 blocks are definitely lost in loss
record 36 of 45
==18939==    at 0x40160DB8: malloc (vg_clientfuncs.c:103)
==18939==    by 0x804FE22: (within /usr/sbin/xinetd)
==18939==    by 0x805A496: (within /usr/sbin/xinetd)
==18939==    by 0x8053611: (within /usr/sbin/xinetd)
==18939==    by 0x805340D: (within /usr/sbin/xinetd)
==18939==    by 0x40294A46: __libc_start_main (in /lib/libc-2.3.2.so)
==18939==    by 0x804A310: (within /usr/sbin/xinetd)
==18939==


Expected Results:  No leaks.

Additional info:

The 144 byte loss is cumulative. Xinetd in cvs at xinetd.org has the memory
leaks fixed and will be releasing 2.3.11 rsn to address this.

Comment 1 Mark J. Cox 2003-04-18 19:28:10 UTC
Errata in progress

Comment 2 Mark J. Cox 2003-05-13 17:14:04 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-160.html



Note You need to log in before you can comment on or make changes to this bug.